Package com.trilead.ssh2

# Class ConnectionInfo

java.lang.Object
com.trilead.ssh2.ConnectionInfo

public class ConnectionInfo extends Object
In most cases you probably do not need the information contained in here.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`clientToServerCryptoAlgorithm`
The currently used crypto algorithm for packets from to the client to the server.
`String`
`clientToServerMACAlgorithm`
The currently used MAC algorithm for packets from to the client to the server.
`String`
`keyExchangeAlgorithm`
The used key exchange (KEX) algorithm in the latest key exchange.
`int`
`keyExchangeCounter`
Number of kex exchanges performed on this connection so far.
`byte[]`
`serverHostKey`
The server host key that was sent during the latest key exchange.
`String`
`serverHostKeyAlgorithm`
The type of the server host key (currently either "ssh-dss" or "ssh-rsa").
`String`
`serverToClientCryptoAlgorithm`
The currently used crypto algorithm for packets from to the server to the client.
`String`
`serverToClientMACAlgorithm`
The currently used MAC algorithm for packets from to the server to the client.

## Constructor Summary

Constructors
Constructor
Description
`ConnectionInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### keyExchangeAlgorithm

public String keyExchangeAlgorithm
The used key exchange (KEX) algorithm in the latest key exchange.

### clientToServerCryptoAlgorithm

public String clientToServerCryptoAlgorithm
The currently used crypto algorithm for packets from to the client to the server.

### serverToClientCryptoAlgorithm

public String serverToClientCryptoAlgorithm
The currently used crypto algorithm for packets from to the server to the client.

### clientToServerMACAlgorithm

public String clientToServerMACAlgorithm
The currently used MAC algorithm for packets from to the client to the server.

### serverToClientMACAlgorithm

public String serverToClientMACAlgorithm
The currently used MAC algorithm for packets from to the server to the client.

### serverHostKeyAlgorithm

public String serverHostKeyAlgorithm
The type of the server host key (currently either "ssh-dss" or "ssh-rsa").

### serverHostKey

public byte[] serverHostKey
The server host key that was sent during the latest key exchange.

### keyExchangeCounter

public int keyExchangeCounter
Number of kex exchanges performed on this connection so far.

## Constructor Details

### ConnectionInfo

public ConnectionInfo()